%define name    dillo
%define version 0.8.5
%define release %mkrel 1

Summary: 	GTK+ based web browser
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	http://www.dillo.org/download/%{name}-%{version}.tar.bz2
Source1:        http://www.dillo.org/download/%{name}-%{version}.tar.bz2.asc
URL: 		http://www.dillo.org/
License: 	GPL
Group: 		Networking/WWW
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Buildrequires:  libgtk+-devel libjpeg-devel libpng-devel zlib-devel


%description
Dillo is a Web browser that's completely written in C, very fast, and small in
code base and binary (less than 300 kb). It is a graphical browser built upon
GTK+ and currently renders a subset of HTML (no frames, no JavaScript, and 
no JVM).

%prep

%setup -q

%configure --prefix=%{_prefix}

%build

%install

%makeinstall_std transform=""

mkdir -p $RPM_BUILD_ROOT%_sysconfdir
install -m 644 dillorc $RPM_BUILD_ROOT%_sysconfdir/

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/dillo"\
title="Dillo"\
longtitle="A simple web browser"\
needs="x11"\
icon="networking_www_section.png"\
section="Internet/Web Browsers"
EOF
)

%post
%{update_menus}

%postun
%{clean_menus}
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* INSTALL NEWS README
%{_bindir}/*
%{_menudir}/*
%{_libdir}/%{name}/
%config(noreplace) %_sysconfdir/dillorc
%config(noreplace) %_sysconfdir/dpidrc

%changelog
* Wed Aug 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.5-1mdk
- New release 0.8.5

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Thu Oct 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Sat Sep 18 2004 Michael Scherer <misc@mandrake.org> 0.8.2-2mdk 
- change menu

* Tue Jul 13 2004 Franck Villaume <fvill@mandrakesoft.com> 0.8.2-1mdk
- New release 0.8.2

* Sat May 15 2004 Michael Scherer <misc@mandrake.org> 0.8.1-1mdk
- New release 0.8.1
- rpmbuildupdate aware

* Mon Feb 09 2004 Michael Scherer <misc@mandrake.org> 0.8.0-1mdk
- 0.8.0
- change menu
- more macros
 
* Thu Aug 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Mon Jun 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-2mdk
- use makeinstall_std transform="" (thx Torstein Dybdahl)

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1.2-1mdk
- 0.7.1.2

* Mon Feb 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0.

* Fri Jul 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-2mdk
- adjust buildrequires (Ed Avis)

* Mon Jul 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-1mdk
- 0.6.6
- new url

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-2mdk
- /etc/dillorc

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-1mdk
- 0.6.5

* Mon Jan 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Fix menu entry

* Wed Dec 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-2mdk
- updated desc.

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- rebuild against new libpng

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Sun Aug 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- updated to 0.6.0

* Mon Jul 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1

* Tue Mar 20 2001 Lenny Cartier <lenny@mandrakesoft.com>  0.3.2-3mdk
- rebuild

* Fri Feb 23 2001 Lenny Cartier <lenny@mandrakesoft.com>  0.3.2-1mdk
- updated to 0.3.2

* Thu Dec 28 2000 Lenny Cartier <lenny@mandrakesoft.com>  0.3.1-1mdk 
- updated to 0.3.1

* Tue Aug 29 2000  Lenny Cartier <lenny@mandrakesoft.com>  0.2.4-1mdk
- menu
- v0.2.4

* Tue Aug 29 2000  Lenny Cartier <lenny@mandrakesoft.com>  0.2.2-3mdk
- BM

* Tue Jul 18 2000 Lenny Cartier <lenny@mandrakesoft.com>  0.2.2-2mdk
- macrozification

* Mon Jun 01 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.2.2-1mdk
- initial packaging
